STRDUP(3)

NAME
strdup - save a copy of a string

SYNOPSIS
#include <string.h>
char *
strdup(const char *str);

DESCRIPTION
The strdup() function allocates sufficient memory for a copy of the string str, does the copy, and returns a pointer to it. The pointer may subsequently be used as an argument to the function free(3).

SEE ALSO
free(3), malloc(3),

HISTORY
The strdup() function